Architektur Geschoss

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Floor and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎português • ‎svenska • ‎čeština • ‎русский • ‎українська • ‎日本語

Arch Floor.svg Arch Geschoss

Menüeintrag
Architektur → Stockwerk
Arbeitsbereich
Arch Arbeitsbereich
Standardtastenkürzel
L V
In der Version eingeführt
-
Siehe auch
Arch Gebäude, Arch Gebäudeteil, Arch Grundstück


Beschreibung

Eine Arch Etage ist ein spezielles FreeCAD Gruppenobjekt mit mehreren Zusatzeigenschaften, welche insbesondere zur Etagenkonstruktion geeignet sind. Insbesondere hält diese Gruppe eine Höhen-Eigenschaft, welche von allen Kindobjekten (Wände und Bauelemente) genutzt werden kann, um die Höhe automatisch anzupassen. Im Wesentlichen dient das Etagenobjekt der Organisation des Konstruktionsmodells.

Beginnend mit v0.18 and above wird das Arch Geschoss komplett aus dem Arch Gebäudeteil Objekt abgeleitet, das ein allgemeiner Behälter zur Organisation eines Gebäudemodells ist, der nicht auf Geschosse oder Etagen beschränkt ist. Ältere Geschoss Objekte können in den neuen Typ umgewandelt werden, indem sie mit Rechtsklick markiert werden und Konvertieren zu GebäuseTeil ausgewählt wird.

Anwendung

  1. Wähle optional ein oder mehrere Objekte aus, die in deinem neuen Geschoss enthalten sein sollen.
  2. Rufe den Befehl Architektur Geschoss auf mehrere Arten auf:
    • Drücken der Arch Floor.svg Arch Geschoss Schaltfläche in der Werkzeugleiste.
    • Verwendung der L, dann V Tastaturkürzel.
    • Verwendung des Architektur → Geschoss Eintrags im oberen Menü.

Optionen

  • Nach Erstellung der Etage können dieser per Drag and Drop in die Baumansicht Objekte hinzugefügt werden. Alternativ kann das Arch Add.svg Hinzufügen-Werkzeug verwendet werden.
  • Objekte können durch Herausziehen aus der Baumansicht oder mittels Arch Remove.svg Entfernen-Werkzeug aus der Etage entfernt werden.

Eigenschaften

Ein Arch-Geschoss teilt alle Eigenschaften eines Arch Gebäudeteils, wobei die Eigenschaft DataIfc Role auf "Building Storey" gesetzt ist.

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

Das Etagen-Werkzeug kann in Makros ebenso wie aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
  • Erzeugt ein Floor-Objekt aus objectslist, einer Liste von Objekten.

Beispiel:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()